Package com.pixelmed.convert

## Class AnalyzeToDicom

- java.lang.Object
- - com.pixelmed.convert.AnalyzeToDicom

-     public class AnalyzeToDicom
      extends java.lang.Object

  A class for converting Analyze image input format files into images of a specified or appropriate SOP Class.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AnalyzeToDicom​(java.lang.String inputFileName, java.lang.String outputFileName, java.lang.String patientName, java.lang.String patientID, java.lang.String studyID, java.lang.String seriesNumber, java.lang.String instanceNumber)` | Read an Analyze image input format files and create an image of a specified or appropriate SOP Class.
    `AnalyzeToDicom​(java.lang.String inputFileName, java.lang.String outputFileName, java.lang.String patientName, java.lang.String patientID, java.lang.String studyID, java.lang.String seriesNumber, java.lang.String instanceNumber, java.lang.String modality, java.lang.String sopClass)` | Read an Analyze image input format files and create an image of a specified or appropriate SOP Class.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static AttributeList` | `generateDICOMPixelDataModuleAttributesFromAnalyzeFile​(java.io.File inputFile, AnalyzeHeader analyze, AttributeList list)` | Using an Analyze image input file and header, create DICOM Pixel Data Module attributes.
    `static AttributeList` | `generateGeometryFunctionalGroupsFromAnalyzeHeader​(AnalyzeHeader analyze, AttributeList list, int numberOfFrames)` | Read a per-frame and shared functional group sequences for the geometry defined in a Analyze file header.
    `static void` | `main​(java.lang.String[] arg)` | Read an Analyze image input format files and create an image of a specified or appropriate SOP Class.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AnalyzeToDicom

          public AnalyzeToDicom​(java.lang.String inputFileName,
                                java.lang.String outputFileName,
                                java.lang.String patientName,
                                java.lang.String patientID,
                                java.lang.String studyID,
                                java.lang.String seriesNumber,
                                java.lang.String instanceNumber)
                         throws java.io.IOException,
                                DicomException,
                                AnalyzeException

      Read an Analyze image input format files and create an image of a specified or appropriate SOP Class.

      Parameters:
        `inputFileName` -
        `outputFileName` -
        `patientName` -
        `patientID` -
        `studyID` -
        `seriesNumber` -
        `instanceNumber` -
      Throws:
        `java.io.IOException`
        `DicomException`
        `AnalyzeException`

    - #### AnalyzeToDicom

          public AnalyzeToDicom​(java.lang.String inputFileName,
                                java.lang.String outputFileName,
                                java.lang.String patientName,
                                java.lang.String patientID,
                                java.lang.String studyID,
                                java.lang.String seriesNumber,
                                java.lang.String instanceNumber,
                                java.lang.String modality,
                                java.lang.String sopClass)
                         throws java.io.IOException,
                                DicomException,
                                AnalyzeException

      Read an Analyze image input format files and create an image of a specified or appropriate SOP Class.

      Parameters:
        `inputFileName` -
        `outputFileName` -
        `patientName` -
        `patientID` -
        `studyID` -
        `seriesNumber` -
        `instanceNumber` -
        `modality` - may be null
        `sopClass` - may be null
      Throws:
        `java.io.IOException`
        `DicomException`
        `AnalyzeException`

  - ### Method Detail

    - #### generateGeometryFunctionalGroupsFromAnalyzeHeader

          public static AttributeList generateGeometryFunctionalGroupsFromAnalyzeHeader​(AnalyzeHeader analyze,
                                                                                        AttributeList list,
                                                                                        int numberOfFrames)
                                                                                 throws DicomException

      Read a per-frame and shared functional group sequences for the geometry defined in a Analyze file header.

      Parameters:
        `analyze` - an Analyze header
        `list` - an existing (possibly empty) attribute list, if null, a new one will be created; may already shared and per-frame functional group sequences or they will be added
        `numberOfFrames` - return attribute list with per-frame and shared functional group sequences for geometry added
      Throws:
        `DicomException`

    - #### generateDICOMPixelDataModuleAttributesFromAnalyzeFile

          public static AttributeList generateDICOMPixelDataModuleAttributesFromAnalyzeFile​(java.io.File inputFile,
                                                                                            AnalyzeHeader analyze,
                                                                                            AttributeList list)
                                                                                     throws java.io.IOException,
                                                                                            DicomException,
                                                                                            AnalyzeException

      Using an Analyze image input file and header, create DICOM Pixel Data Module attributes.

      Parameters:
        `inputFile` - an Analyze format image file
        `analyze` - an Analyze header already read from the inputFile
        `list` - an existing (possibly empty) attribute list, if null, a new one will be created; may already include "better" image pixel module attributes to use return attribute list with Image Pixel Module (including Pixel Data) and other attributes added
      Throws:
        `java.io.IOException`
        `DicomException`
        `AnalyzeException`

    - #### main

          public static void main​(java.lang.String[] arg)

      Read an Analyze image input format files and create an image of a specified or appropriate SOP Class.

      Parameters:
        `arg` - seven, eight or nine parameters, the inputFile, outputFile, patientName, patientID, studyID, seriesNumber, instanceNumber, and optionally the modality, and SOP Class